<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:param name="issueKey" />
    <xsl:param name="xmlIssueKeyAttrName" />
    <xsl:output method="text" indent="no" encoding="utf-8"/>
    <xsl:template match="testsuite">
        <xsl:for-each select="testcase/attribute::*[name() = $xmlIssueKeyAttrName and .= $issueKey]">
            <xsl:for-each select="../failure | ../error">
                <xsl:if test="@message">
Message --------------------
<xsl:value-of select="@message"/>
                </xsl:if>
Detail --------------------
<xsl:value-of select="."/>
            </xsl:for-each>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>